"use strict";

module.exports = {
  async up(queryInterface) {
    await queryInterface.bulkDelete('roles', null, {});

    await queryInterface.bulkInsert(
      "roles",
      [
        {
          id: 1,
          name: "superadmin",
          display_name: "Superadmin",
          active: true,
        },
        {
          id: 2,
          name: "admin",
          display_name: "Admin",
          active: true,
        },
        {
          id: 3,
          name: "staff",
          display_name: "Staff",
          active: true,
        },
        {
          id: 4,
          name: "customer",
          display_name: "Customer",
          active: true,
        },
        {
          id: 5,
          name: "api",
          display_name: "API",
          active: true,
        },
      ],
      {}
    );
  },

  async down(queryInterface) {
    await queryInterface.bulkDelete('roles', null, {});
  },
};
